connections {
   BFL-BFR {
      local_addrs  = {{ hostvars[inventory_hostname].ipsecsrc }}
      remote_addrs = {{ hostvars[inventory_hostname].ipsecdest }}
 
      local {
        auth = psk
        id = {{ hostvars[inventory_hostname].swansrc }}
      }
      remote {
        auth = psk
        id = {{ hostvars[inventory_hostname].swandest }}
      }
 
      children {
         bf {
            local_ts = {{ hostvars[inventory_hostname].ipsecsrc }}[udp/4789]
            remote_ts = {{ hostvars[inventory_hostname].ipsecdest }}[udp/4789]
            esp_proposals = aes128gcm128-x25519
            mode = {{ ipsecmode }}
            policies_fwd_out = yes
            hw_offload = {{ hwoffloadmode }}
         }
      }
      version = 2
      mobike = no
      reauth_time = 0
      proposals = aes128-sha256-x25519
   }
}
 
secrets {
   ike-BF {
      id-host1 = host1
      id-host2 = host2
      secret = 0sv+NkxY9LLZvwj4qCC2o/gGrWDF2d21jL
   }
}